Subject: Re: [mile] What is Version (5070bis, enum, etc.)

From: Eric Burger <[email-masked]>
Date: Wed, 13 Mar 2013 11:27:43 -0400

5070, 5070bis, and ENUM all use a 'version' attribute. 

Section 3.1 of both 5070 and 5070bis define version as:
     Required.  STRING.  The IODEF specification version number to
     which this IODEF document conforms.  The value of this attribute
     MUST be "1.00"

OK, I will bite. The schema of 5070 and 5070bis are different. How do I know I have a 5070bis schema if it says <IODEF-Document version="1.00">? It is totally non-normative, but I suppose someone who is clueless about protocols would look at the double super secret <documentation> tag that says "Incident Object Description Exchange Format v1.00, see RFC 5070" for a 5070 document and "Incident Object Description Exchange Format v1.10, RFC5070-bis" for a 5070bis document. I say "double super secret" because that string only appears in the schema but has no text describing it. Also, making a programatic decision based on XML Schema documentation is not a very smart idea.

Let me push this further. What happens if a 5070bis document has <IODEF-Document version="1.10">? 5070 and 5070bis both say… nothing. However, a good protocol writer will see the 'MUST be "1.00"' and thus will reject the document. Is this the desired behavior? If so, say so. I doubt it, but we are begging for interoperability failure if IODEF becomes successful and we enhance it in the future.

Enum reference format suffers from this as well, but I will address that in a separate email.

---

From: "Stoecker, Paul" <[email-masked]>
Date: Wed, 13 Mar 2013 16:19:27 +0000

Eric,

Thanks.  This is something that I will correct after the IETF meeting as I am sure that I missed other items and there are some other changes that we will be discussing that will need to be incorporated.  This is my rookie year as an editor, so I really appreciate the feedback.

Regards,

Paul

Sent from my iPhone

On Mar 13, 2013, at 11:28 AM, "Eric Burger" <[email-masked]> wrote:

> _______________________________________________
> mile mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mile
>